# List locales

Retrieves a paginated list of locales.

Endpoint: GET /v1/locales
Version: 1.1.0
Security: Bearer

## Query parameters:

  - `uuids[eq]` (array)

  - `displayNames[eq]` (array)

  - `displayName[contains]` (string)

  - `displayName[starts]` (string)

  - `displayName[ends]` (string)

  - `displayName[order]` (string)

  - `codes[eq]` (array)

  - `code[contains]` (string)

  - `code[starts]` (string)

  - `code[ends]` (string)

  - `code[order]` (string)

  - `statuses[eq]` (array)
    Enum: "draft", "active", "inactive", "removed"

  - `status[order]` (string)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `isDefault[eq]` (boolean)

  - `isRemoved[eq]` (boolean)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this locale.

  - `items.createdAt` (string, required)
    Timestamp when this locale was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when this locale was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.removedAt` (string,null)
    Timestamp when this locale was removed. Null if not removed.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.status` (string, required)
    Lifecycle status of a locale.
    Enum: "draft", "active", "inactive", "removed"

  - `items.displayName` (string, required)
    Display name for this locale.

  - `items.code` (string, required)
    ISO language or locale code.

  - `items.isDefault` (boolean, required)
    Whether this is the default locale for the tenant.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


